﻿#include "nineitem.h"

NineItem::NineItem(QObject *parent) : QObject(parent)
{
    clean();
}

NineItem::NineItem(int fun, QString ImageName)
{
    clean();
    m_topImageName = ImageName;
    m_enumFunction = fun;
}

NineItem::~NineItem()
{
    clean();
}

NineItem::NineItem(const NineItem &item) : QObject(0)
{
    copyData(item);
}

NineItem &NineItem::operator=(const NineItem &item)
{
    copyData(item);
    return *this;
}

void NineItem::clean()
{
    m_topImageName.clear();
    m_enumFunction = 0;
}

void NineItem::copyData(const NineItem &item)
{
    if (this != &item)
    {
        this->m_topImageName = item.m_topImageName;
        this->m_enumFunction = item.m_enumFunction;
    }
}
